javax.media.j3d

## Class WakeupCondition

- java.lang.Object
- - javax.media.j3d.WakeupCondition

- Direct Known Subclasses:
    WakeupAnd, WakeupAndOfOrs, WakeupCriterion, WakeupOr, WakeupOrOfAnds

      public abstract class WakeupCondition
      extends java.lang.Object

  An abstract class specifying a single wakeup Condition. This class is extended by the WakeupCriterion, WakeupOr, WakeupAnd, WakeupOrOfAnds, and WakeupAndOfOr classes. A Behavior node hands a WakeupCondition object to the behavior scheduler and the behavior scheduler hands back an enumeration of that WakeupCondition.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WakeupCondition()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Enumeration` | `allElements()` Returns an enumeration of all WakeupCriterias in this Condition.
    `java.util.Enumeration` | `triggeredElements()` Returns an enumeration of all triggered WakeupCriterias in this Condition.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WakeupCondition

          public WakeupCondition()

  - ### Method Detail

    - #### allElements

          public java.util.Enumeration allElements()

      Returns an enumeration of all WakeupCriterias in this Condition.

    - #### triggeredElements

          public java.util.Enumeration triggeredElements()

      Returns an enumeration of all triggered WakeupCriterias in this Condition.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.